Page MenuHomePhabricator

edit summary doesn't show label of property when changing claims
Closed, ResolvedPublic

Description

In recent changes the edit summary for a claim change is now "Created claim: P403: Wilsons River (Q2484535)". P403 should show the label instead.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Unbreak Now!.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 8:08 PM
aude added a subscriber: aude.Mar 25 2015, 9:10 AM

the cause appears to be https://gerrit.wikimedia.org/r/#/c/192787/, as after reverting that change locally, the summaries work again.

Change 199586 had a related patch set uploaded (by Aude):
Revert "Use EntityIdFormatter in MessageParameterFormatter"

https://gerrit.wikimedia.org/r/199586

Change 199587 had a related patch set uploaded (by Aude):
Revert "Use EntityIdFormatter in MessageParameterFormatter"

https://gerrit.wikimedia.org/r/199587

Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW moved this task from Backlog to Doing on the § Wikidata-Sprint-2015-03-24 board.

Change 199587 merged by jenkins-bot:
Revert "Use EntityIdFormatter in MessageParameterFormatter"

https://gerrit.wikimedia.org/r/199587

hoo lowered the priority of this task from Unbreak Now! to High.Mar 25 2015, 2:55 PM
hoo added a subscriber: hoo.

Fixed on the branch, lowering priority.

Change 199625 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Do not pass objects to Summary::addAutoCommentArgs

https://gerrit.wikimedia.org/r/199625

Change 199625 merged by jenkins-bot:
Do not pass objects to Summary::addAutoCommentArgs

https://gerrit.wikimedia.org/r/199625

Change 201062 had a related patch set uploaded (by Hoo man):
Introduce EntityIdPlainLinkFormatter for SummaryFormatter

https://gerrit.wikimedia.org/r/201062

Change 201062 merged by jenkins-bot:
Introduce EntityIdPlainLinkFormatter for SummaryFormatter

https://gerrit.wikimedia.org/r/201062

hoo closed this task as Resolved.Apr 1 2015, 11:28 AM
hoo claimed this task.
hoo removed a project: Patch-For-Review.
hoo moved this task from Doing to Done on the § Wikidata-Sprint-2015-03-24 board.

Change 199586 abandoned by Aude:
Revert "Use EntityIdFormatter in MessageParameterFormatter"

Reason:
we have a proper fix now on master

https://gerrit.wikimedia.org/r/199586